Bug 906108 - [abrt] libreoffice-core-3.5.7.2-7.fc17: cppu_detail_getUnoType: Process /usr/lib/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-7.fc17: cppu_detail_getUnoType: Process /usr/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:c8c001447d7516193fc313bc307...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 15:48 EST by Herbert Bosshardt
Modified: 2013-02-28 09:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 09:28:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (2.45 KB, text/plain)
2013-01-30 15:48 EST, Herbert Bosshardt
no flags Details
File: environ (1.78 KB, text/plain)
2013-01-30 15:48 EST, Herbert Bosshardt
no flags Details
File: backtrace (63.84 KB, text/plain)
2013-01-30 15:48 EST, Herbert Bosshardt
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: cgroup (125 bytes, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: smolt_data (3.27 KB, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: executable (40 bytes, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: maps (56.73 KB, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: dso_list (19.57 KB, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: proc_pid_status (792 bytes, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: open_fds (334 bytes, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details
File: var_log_messages (989 bytes, text/plain)
2013-01-30 15:49 EST, Herbert Bosshardt
no flags Details

  None (edit)
Description Herbert Bosshardt 2013-01-30 15:48:50 EST
Description of problem:
crash is reproducible.
open libreoffice>File>New>Templates and Documents>select a template>crash


Version-Release number of selected component:
libreoffice-core-3.5.7.2-7.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: cppu_detail_getUnoType
kernel:         3.6.11-5.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 cppu_detail_getUnoType at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngi6.pro/inc/offapi/com/sun/star/style/GraphicLocation.hpp:19
: #1 get at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngi6.pro/inc/cppu/unotype.hxx:270
: #2 getTypeFavourUnsigned<com::sun::star::style::GraphicLocation> at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngi6.pro/inc/cppu/unotype.hxx:291
: #3 operator<<=<com::sun::star::style::GraphicLocation> at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngi6.pro/inc/com/sun/star/uno/Any.hxx:203
: #4 XMLBackgroundImageContext::EndElement at /usr/src/debug/libreoffice-3.5.7.2/xmloff/source/style/XMLBackgroundImageContext.cxx:405
: #5 SvXMLImport::endElement at /usr/src/debug/libreoffice-3.5.7.2/xmloff/source/core/xmlimp.cxx:720
: #6 sax_expatwrap::SaxExpatParser_Impl::callbackEndElement at /usr/src/debug/libreoffice-3.5.7.2/sax/source/expatwrap/sax_expat.cxx:823
: #7 doContent at lib/xmlparse.c:2475
: #8 contentProcessor at lib/xmlparse.c:2105
: #9 doProlog at lib/xmlparse.c:4016
Comment 1 Herbert Bosshardt 2013-01-30 15:48:54 EST
Created attachment 690575 [details]
File: core_backtrace
Comment 2 Herbert Bosshardt 2013-01-30 15:48:56 EST
Created attachment 690577 [details]
File: environ
Comment 3 Herbert Bosshardt 2013-01-30 15:48:58 EST
Created attachment 690580 [details]
File: backtrace
Comment 4 Herbert Bosshardt 2013-01-30 15:49:00 EST
Created attachment 690582 [details]
File: limits
Comment 5 Herbert Bosshardt 2013-01-30 15:49:02 EST
Created attachment 690584 [details]
File: cgroup
Comment 6 Herbert Bosshardt 2013-01-30 15:49:04 EST
Created attachment 690587 [details]
File: smolt_data
Comment 7 Herbert Bosshardt 2013-01-30 15:49:06 EST
Created attachment 690589 [details]
File: executable
Comment 8 Herbert Bosshardt 2013-01-30 15:49:09 EST
Created attachment 690592 [details]
File: maps
Comment 9 Herbert Bosshardt 2013-01-30 15:49:11 EST
Created attachment 690594 [details]
File: dso_list
Comment 10 Herbert Bosshardt 2013-01-30 15:49:13 EST
Created attachment 690595 [details]
File: proc_pid_status
Comment 11 Herbert Bosshardt 2013-01-30 15:49:15 EST
Created attachment 690596 [details]
File: open_fds
Comment 12 Herbert Bosshardt 2013-01-30 15:49:17 EST
Created attachment 690597 [details]
File: var_log_messages
Comment 13 Caolan McNamara 2013-01-31 07:41:43 EST
seems to be a crash on loading the template. Is it reproducible and if so what template was it ?

Note You need to log in before you can comment on or make changes to this bug.